param (
  [string]$horizonInstanceName,
  [string]$horizonPhysicalPath = "C:\inetpub\wwwroot\$horizonInstanceName",
  [string]$horizonAppUrl = "https://$horizonInstanceName",
  [string]$sitecoreCmInstanceName,
  [string]$sitecoreAdminPassword,
  [string]$sitecoreCmInstanceUrl = "https://$sitecoreCmInstanceName",
  [string]$sitecoreCmInstanceInternalUrl = $sitecoreCmInstanceUrl,
  [string]$sitecoreCmInstancePath = "C:\inetpub\wwwroot\$sitecoreCmInstanceName",
  [string]$identityServerPoolName,
  [string]$identityServerUrl = "https://$identityServerPoolName",
  [string]$identityServerPhysicalPath = "C:\inetpub\wwwroot\$identityServerPoolName",
  [string]$solrCorePrefix = $($sitecoreCmInstanceName),
  [string]$licensePath,
  [bool]$enableContentHub,
  [bool]$enableSXA,
  [ValidateSet("XP", "XM")]
  [string]$topology
)
Import-Module "$PSScriptRoot\InstallerModules.psm1" -Force
InstallHorizonHost -horizonInstanceName $horizonInstanceName `
  -sitecoreInstanceUrl $sitecoreCmInstanceUrl `
  -sitecoreInstanceInternalUrl $sitecoreCmInstanceInternalUrl `
  -sitecoreAdminPassword $sitecoreAdminPassword `
  -licensePath $licensePath `
  -sitecoreInstansePath $sitecoreCmInstancePath `
  -identityServerPoolName $identityServerPoolName `
  -horizonPhysicalPath $horizonPhysicalPath `
  -identityServerUrl $identityServerUrl `
  -identityServerPhysicalPath $identityServerPhysicalPath `
  -solrCorePrefix $solrCorePrefix `
  -horizonAppUrl $horizonAppUrl `
  -enableContentHub $enableContentHub `
  -enableSXA $enableSXA `
  -topology $topology
